﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MIT.master" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
     <form id="form1" runat="server">
         <h2>Carriers by State: <%=Request.QueryString["State"] %></h2>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" DataSourceID="SqlDataSource1" PageSize="20">
            <Columns>
                <asp:BoundField DataField="Company" HeaderText="Company" SortExpression="Company" />
                <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                <asp:BoundField DataField="State" HeaderText="State" SortExpression="State" />
                <asp:BoundField DataField="Country" HeaderText="Country" SortExpression="Country" />
                <asp:BoundField DataField="Air" HeaderText="Air" SortExpression="Air" />
                <asp:BoundField DataField="Highway" HeaderText="Highway" SortExpression="Highway" />
                <asp:BoundField DataField="Rail" HeaderText="Rail" SortExpression="Rail" />
                <asp:BoundField DataField="Water" HeaderText="Water" SortExpression="Water" />
            </Columns>
        </asp:GridView>
         
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" 
            SelectCommand="SELECT [Company], [City], [State],[Country], [c1].[Mode] AS [Air], [c2].[Mode] AS [Highway],[c3].[Mode] AS [Rail],[c4].[Mode] AS [Water]
                           FROM [Carrier] 
                           LEFT JOIN [CarrierMode] c1 ON [Carrier].[CERTNO] = [c1].[CERTNO] AND [c1].[Mode] = 'Air'
                           LEFT JOIN [CarrierMode] c2 ON [Carrier].[CERTNO] = [c2].[CERTNO] AND [c2].[Mode] = 'Highway'
                           LEFT JOIN [CarrierMode] c3 ON [Carrier].[CERTNO] = [c3].[CERTNO] AND [c3].[Mode] = 'Rail'
                           LEFT JOIN [CarrierMode] c4 ON [Carrier].[CERTNO] = [c4].[CERTNO] AND [c4].[Mode] = 'Water'
                           WHERE ([State] = 'MA') ORDER BY [Company]">
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="MA" Name="State" QueryStringField="State" Type="String" />
            </SelectParameters>
        </asp:SqlDataSource>
    </form>
</asp:Content>

